from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XImageButton(XInterface, Protocol):
    def addActionListener(self, l: XActionListener) -> None: ...
    def removeActionListener(self, l: XActionListener) -> None: ...
    def setActionCommand(self, Command: str) -> None: ...
